/********************************************************************************
 *	dialog.h
 *
 *	Dialog Management Header
 *
 *	Written by Paco Xander Nathan
 *	1990, Motorola Inc.  Public domain source code.
 ********************************************************************************/

#define _H_dialog


#include <DialogMgr.h>


typedef enum {
	aboutDlogID = 256,
	messageDlogID,
	analDlogID
} dlogRsrcID;


/* External Data Structures
 */
extern DialogPtr
	dPtrAbout,
	dPtrAnal;


/* External Function Prototypes
 */
#ifdef PROTOTYPES
short DlogRandom (short ceiling);
void DlogOrigin (short alertID, Point *thePoint);
pascal Boolean DlogModalEvent (DialogPtr theDialog, EventRecord *theEvent, short *itemNum);
pascal DialogPtr DlogOpenModal (short dialogID);
void DlogCloseModal (DialogPtr theDialog, Boolean trips);
void DlogSetItem (DialogPtr theDialog, short itemNum, short value);
void DlogModelessEvent (EventRecord *theEvent);
pascal DialogPtr DlogWindow (short dlogID);
void DlogDispose (WindowPtr theWindow);
#endif
